/*
 *   Java-Gnome
 *
 *   Copyright (C) 1998 Olivier Gutknecht <gutkneco@lirmm.fr>
 *
 *   The Java-Gnome bindings library is free software distributed under
 *   the terms of the GNU Library General Public License version 2 
 *
 ***********************************************************************/

#include <jni.h>
#include <gnome.h>

/* This file exist for special cases - that is cases SO unique or cumbersome
 * that it is easier to write a simple C-wrapper than to do ten tricks and make
 * the code unreadable.  Unfortunately we have to break slightly with one or two
 * gnome ways.  A good example is gnome_dialog's
 * 	gtk_box_pack_start(GTK_BOX(GNOME_DIALOG(dialog)->vbox), ...)
 * see first wrapper
 ***********************************************************************/

void
gnome_dialog_pack_start (GnomeDialog * dialog,
			GtkWidget   * child,
			gboolean      expand,
			gboolean      fill,
			guint	      padding)
{
  gtk_box_pack_start(GTK_BOX(GNOME_DIALOG(dialog)->vbox),
  		     child, expand, fill, padding);
}
