/*
 *   Java-Gnome
 *
 *   Copyright (C) 1998 Olivier Gutknecht <gutkneco@lirmm.fr>
 *
 *   The Java-Gnome bindings library is free software distributed under
 *   the terms of the GNU Library General Public License version 2 
 *
 ***********************************************************************/

#include <gnome.h>

/* This file exist for special cases - that is cases SO unique or cumbersome
 * that it is easier to write a simple C-wrapper than to do ten tricks and make
 * the code unreadable.  Unforunately we have to break slightly with one or two
 * gnome ways.  A good example is gnome_dialog's
 * 	gtk_box_pack_start(GTK_BOX(GNOME_DIALOG(dialog)->vbox), ...)
 * see first wrapper
 ***********************************************************************/

// Sugar dialogs
typedef GnomeDialog GnomeOkDialog;
typedef GnomeDialog GnomeErrorDialog;
typedef GnomeDialog GnomeWarningDialog;

// Added these as the generator does not know that all these are
// actually gnome dialogs
#define gnome_error_dialog_get_type gnome_dialog_get_type
#define gnome_warning_dialog_get_type gnome_dialog_get_type
#define gnome_ok_dialog_get_type gnome_dialog_get_type
#define gnome_request_dialog_get_type gnome_dialog_get_type

void gnome_dialog_pack_start (GnomeDialog * dialog,
			GtkWidget   * child,
			gboolean      expand,
			gboolean      fill,
			guint	      padding);
