import gtk.*;


/** A conversion of a portion of the test-gtk.scm example from
    gnome-guile.

    - Ol. Gutknecht */

public class TestReparent
{
  public static GtkFrame makeFrame(boolean initLabel, String title, 
				GtkLabel label, GtkHBox hbox)
	{
	  final GtkLabel theLabel = label;
	  GtkFrame frame = new GtkFrame(title);
	  final GtkVBox box = new GtkVBox(false, 5);
	  GtkButton button = new GtkButton("switch");
	   
	  hbox.packStart(frame, true, true, 0);
	  frame.show();
	  box.setBorderWidth(5);
	  frame.add(box);
	  box.show();
	  
	  button.signalConnect("clicked", new Callback() 
			       {  
				 public void action(Object source, 
							   Object data)
				   {
				     System.err.println("Callback:");
				     theLabel.reparent(box);
				   }
			       }, "Foo");
	  
	  box.packStart(button, false, true, 0);
	  button.show();
	  if (initLabel)
	    {
	      box.packStart(label, false, true, 0);
	      label.show();
	    }
	  return frame;
	  
	}


  public static void main(String[] args)
    {
      Gtk.init(0,0);

      GtkHBox hbox = new GtkHBox(false,5);
      final GtkLabel label = new GtkLabel("Hello World");
      GtkButton b = new GtkButton("Close");
      b.show();
      b.signalConnect("clicked", new Callback() 
			   { public void action(Object source, 
						       Object data)
			     { Gtk.exit(0); }}
			   , "");
	GtkWindow g = new GtkWindow(GtkWindowType.GTK_WINDOW_TOPLEVEL);
      g.setTitle("written in Java");
      
      hbox.packStart(b, true, true, 0);
      makeFrame(true,  "frame1", label, hbox);
      makeFrame(false, "frame2", label, hbox);
      hbox.show();
      g.add(hbox);
 
      g.show();

      Gtk.main();
    }     
}





